## compress-package 1.3-1

=== Makefile ===

prefix = /usr
debloc = lib/compress-package

bindir = $(prefix)/bin
mandir = $(prefix)/man

debdir = $(prefix)/$(debloc)

instprefix = $(prefix)

cmpext =

#

compress = compress
gzip = gzip -9

FILES = Makefile.debian USERMEM
REMOVABLE = debian-compress/make-cpkg debian-compress/make-cpkg.8$(cmpext) \
    debian-compress/rules

MKFILES = Makefile

all: $(REMOVABLE)

debian-compress/rules: debian-compress.in/rules.in $(MKFILES)
	sed -e 's,@debdir@,$(instprefix)/$(debloc),g' \
	  debian-compress.in/rules.in >$@ && chmod 755 $@

debian-compress/make-cpkg: debian-compress.in/make-cpkg.in $(MKFILES)
	sed -e 's,@debdir@,$(instprefix)/$(debloc),g' \
	  debian-compress.in/make-cpkg.in >$@ && chmod 755 $@

debian-compress/make-cpkg.8: debian-compress.in/make-cpkg.8.in $(MKFILES)
	sed -e 's,@debdir@,$(instprefix)/$(debloc),g' \
	  debian-compress.in/make-cpkg.8.in >$@ && chmod 644 $@

%.Z: %
	$(RM) $@ && $(compress) $<
%.gz: %
	$(RM) $@ && $(gzip) $<

install: all installdirs
	install -m 644 $(FILES) $(debdir)
	-rm -f debian-compress/make-cpkg.8
	(cd debian-compress; tar cf - .) | (cd $(debdir)/debian; tar xpf -)
	if [ "`echo $(bindir) | sed 's,\(/*[^/]*\)/.*,\1,'`" = \
	    "`echo $(debdir) | sed 's,\(/*[^/]*\)/.*,\1,'`" ]; then \
	  (cd $(bindir) && ln -sf ../$(debloc)/debian/make-cpkg .) ; \
	  (cd $(mandir)/man8 && ln -sf ../../$(debloc)/debian/make-cpkg.8$(cmpext) .) ; \
	else \
	  (cd $(bindir) && ln -sf $(debdir)/debian/make-cpkg .) ; \
	  (cd $(mandir)/man8 && ln -sf $(debdir)/debian/make-cpkg.8$(cmpext) .) ; \
	fi

installdirs:
	mkdir -p -m 755 $(bindir) $(mandir)/man8 $(debdir)/debian

clean:

distclean:
	$(RM) $(REMOVABLE)

=== debian/control ===
Package: =P
Maintainer: Yves Arrouye <arrouye@debian.org>
Version: =V-=D
Architecture: =A
Section: contrib
Priority: extra
Description: fileset to build Debian compress packages
 This package contains some files that automatize the task of building
 Debian packages containing the BSD compress(1) command.
 .
 Please note that the usual compress implementation uses an algorithm
 that is patented by Unisys and that use of such a compress may be
 subject to authorization from Unisys.
